"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.wrapRootElement = void 0;

var _react = _interopRequireDefault(require("react"));

var _q3Ui = _interopRequireDefault(require("q3-ui"));

var _q3UiLocale = require("q3-ui-locale");

var _propTypes = _interopRequireDefault(require("prop-types"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable import/prefer-default-export, import/no-extraneous-dependencies, react/prop-types, react/jsx-filename-extension */
const registeri18ResourceBundles = contentData => {
  if (!contentData || !('en' in contentData)) return;
  Object.entries(contentData).forEach(([key, bundle]) => {
    Object.entries(bundle).forEach(([namespace, data]) => {
      _q3UiLocale.i18n.addResourceBundle(key, namespace, data, true, true);
    });
  });
};

const LocaleBundles = ({
  children,
  locale
}) => {
  registeri18ResourceBundles(locale);
  return children;
};

LocaleBundles.defaultProps = {
  children: null,
  locale: {}
};
LocaleBundles.propTypes = {
  // eslint-disable-next-line
  children: _propTypes.default.any,
  // eslint-disable-next-line
  locale: _propTypes.default.object
};

const Wrapper = ({
  children,
  locale,
  ...providerProps
}) => /*#__PURE__*/_react.default.createElement(_q3Ui.default, providerProps, /*#__PURE__*/_react.default.createElement(LocaleBundles, {
  locale: locale
}, children));

Wrapper.propTypes = {
  children: _propTypes.default.node.isRequired,
  // eslint-disable-next-line
  locale: _propTypes.default.object.isRequired,
  // eslint-disable-next-line
  theme: _propTypes.default.object.isRequired
};

const wrapRootElement = ({
  element
}, {
  locale,
  ...providerProps
}) => /*#__PURE__*/_react.default.createElement(_q3Ui.default, providerProps, /*#__PURE__*/_react.default.createElement(LocaleBundles, {
  locale: locale
}, element));

exports.wrapRootElement = wrapRootElement;